document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_9200 | ---
+++
@@ -16,6 +16,11 @@
cp /home/docker/dedalus-infrastructure/configs/apache2/000-default.conf /etc/apache2/sites-available/
cat /home/docker/dedalus-infrastructure/configs/apache2/apache2.conf >> /etc/apache2/apache2.conf
+# TODO: kind of ugly. is there are a better way todo this?
+echo "export DOCKER_PASSWO... | bash |
d_bash_9201 | ---
+++
@@ -7,4 +7,4 @@
JENKINS_OPTS=${JENKINS_OPTS:---prefix=/jenkins}
mkdir -p "${LOCAL_VOLUME}"
-docker run --name ${JENKINS_NAME} --link ${GERRIT_NAME}:gerrit -p 8088:8080 -v ${LOCAL_VOLUME}:/var/jenkins_home -d ${JENKINS_IMAGE_NAME} ${JENKINS_OPTS}
+docker run --name ${JENKINS_NAME} --link ${GERRIT_NAME}:ger... | bash |
d_bash_9202 | ---
+++
@@ -1,4 +1,7 @@
-#!/bin/sh
+#!/usr/bin/env bash
+#
+# @filename: setup-home.sh
+#
set -e
| bash |
d_bash_9203 | ---
+++
@@ -6,9 +6,9 @@
fi
alias ls="ls ${lscolorflag}"
-alias l="ls -lF"
-alias ll="ls -alF"
-alias lsd="ls -lF ${colorflag} | grep --color=never '^d'" # List only directories
+alias l="ls -hlF"
+alias ll="ls -halF"
+alias lsd="ls -hlF ${colorflag} | grep --color=never '^d'" # List only directories
alias sudo... | bash |
d_bash_9204 | ---
+++
@@ -13,12 +13,11 @@
apt-get install -y openjdk-7-jdk
apt-get install -y libcommons-codec-java libcommons-compress-java \
libcommons-lang3-java libgoogle-gson-java junit4 libservlet3.0-java \
-ant tomcat6 libslf4j-java liblogback-java unzip
+ant libslf4j-java liblogback-java unzip libjetty8-java
echo "Se... | bash |
d_bash_9205 | ---
+++
@@ -2,7 +2,7 @@
set -euo pipefail
-APK="apk -q"
+APK="apk -q --no-cache"
BUILDDEPS="gcc python3-dev musl-dev parallel yaml-dev g++"
TESTDEPS="bitstring pytest wheel virtualenv pip"
PIP3="pip3 -q --no-cache-dir install --upgrade" | bash |
d_bash_9206 | ---
+++
@@ -20,7 +20,14 @@
git fetch current && \
cd browser-tests/ && \
npm i && \
- git diff HEAD current/master --name-only | awk 'BEGIN {FS = "/"}; {print $1 "/" $2 "/" $3}' | uniq | grep -v \/\/ | grep examples | awk -F '[/]' '{print "--framework=" $2}' | xargs npm run test --
+ changes=$(git diff HE... | bash |
d_bash_9207 | ---
+++
@@ -9,7 +9,7 @@
cd `dirname $0`
bundle check --path=vendor/bundle || bundle install --path=vendor/bundle --without development test --clean --retry=3 --jobs=5
-for pidfile in `ls tmp/pids/sidekiq-*`;do bundle exec sidekiqctl quiet $pidfile;done
+pkill -u $(id -u) -f sidekiq -TSTP
bundle check --path=ve... | bash |
d_bash_9208 | ---
+++
@@ -2,13 +2,15 @@
script_dir=$(cd `dirname $0`; pwd)
root_dir=`dirname $script_dir`
+
+TEST_FLAGS="-v -race -timeout 5s"
function test_travis
{
echo "mode: count" > profile.cov
for pkg in $(cat $root_dir/.test-packages.txt); do
- go test -v -covermode=count -coverprofile=profile_tmp.cov $pkg ||... | bash |
d_bash_9209 | ---
+++
@@ -32,7 +32,4 @@
echo Checking overlays
dev/tools/check-overlays.sh || CODE=1
-echo Checking ocamlformat
-make -f Makefile.dune fmt || CODE=1
-
exit $CODE | bash |
d_bash_9210 | ---
+++
@@ -2,7 +2,7 @@
set -ev
if [ "${TRAVIS_BRANCH}" = "master" ]; then
- packer build -only=amazon-ebs template.json
+ packer build template.json
else
packer build -only=docker template.json
fi | bash |
d_bash_9211 | ---
+++
@@ -13,4 +13,5 @@
code --install-extension vscjava.vscode-java-debug
code --install-extension vscjava.vscode-java-pack
code --install-extension WakaTime.vscode-wakatime
+ code --install-extension jmMeessen.jenkins-declarative-support
fi | bash |
d_bash_9212 | ---
+++
@@ -15,7 +15,6 @@
# Validate new version
HOOK_DIR=${BASE_PROJECT}/.git/hooks
-diff "${BASE_PROJECT}/scripts/hook-pre-commit.sh" "${HOOK_DIR}/pre-commit" | wc -l
if [ "$(diff "${BASE_PROJECT}/scripts/hook-pre-commit.sh" "${HOOK_DIR}/pre-commit" | wc -l)" -ne 0 ]; then
log_failure "use current version o... | bash |
d_bash_9213 | ---
+++
@@ -1,9 +1,11 @@
#! /bin/sh
#
-# Drive HTML generation for a Python manual.
+# Drive HTML generation for a Python manual.
#
-# The first arg is required and is the designation for which manual to build;
-# api, ext, lib, ref, or tut. All other args are passed on to latex2html.
+# This is probably *not*... | bash |
d_bash_9214 | ---
+++
@@ -6,18 +6,29 @@
# We use `--privileged` for cgroup compatability, which seems to be enabled by default in HTCondor 8.6.x
if [ "${OS_VERSION}" = "6" ]; then
-sudo docker run --privileged -v /sys/fs/cgroup:/sys/fs/cgroup --rm=true -v `pwd`:/htcondor-ce:rw centos:centos${OS_VERSION} /bin/bash -c "bash -xe ... | bash |
d_bash_9215 | ---
+++
@@ -7,6 +7,7 @@
"code.google.com/p/rog-go/exp/cmd/godef"
"github.com/nsf/gocode"
"github.com/motemen/ghq"
+ "github.com/motemen/gore"
)
go_get() { | bash |
d_bash_9216 | ---
+++
@@ -1,4 +1,14 @@
#!/bin/bash
+# See http://docs.aws.amazon.com/general/latest/gr/rande.html#s3_region
+
echo "127.0.0.1 s3.amazonaws.com" >> /etc/hosts
+echo "127.0.0.1 s3-external-1.amazonaws.com" >> /etc/hosts
+echo "127.0.0.1 s3-us-west-1.amazonaws.com" >> /etc/hosts
+echo "127.0.0.1 s3-us-west-2.amazo... | bash |
d_bash_9217 | ---
+++
@@ -6,6 +6,7 @@
export RAILS_ENV=test
export DISPLAY=":99"
export GOVUK_APP_DOMAIN=dev.gov.uk
+export GOVUK_CONTENT_SCHEMAS_PATH=tmp/govuk-content-schemas
bundle install --path "${HOME}/bundles/${JOB_NAME}" --deployment
@@ -23,6 +24,9 @@
fi
rm -rf public/frontend
+rm -rf tmp/govuk-content-schemas
... | bash |
d_bash_9218 | ---
+++
@@ -1,3 +1,4 @@
# Enable the jolokia agent configured using etc/jolokia.properties
-JAVA_OPTIONS="${JAVA_OPTIONS} -javaagent:agents/jolokia.jar=config=etc/jolokia.properties"
-export JAVA_OPTIONS
+# TODO: Does not work when deploying to k8s as the base image already have jolokia
+# JAVA_OPTIONS="${JAVA_OPTIO... | bash |
d_bash_9219 | ---
+++
@@ -19,12 +19,16 @@
docker build -t witcher-escape:$2 ./escape/web/
elif [ $1 == "run" ]
then
+ if [ -z $2 ]
+ then echo "Please supply an argument for the version number"
+ exit
+ fi
docker kill maze-app riddle-app escape-app nginx
docker ps -a | grep Exit | cut -d ' ' -f... | bash |
d_bash_9220 | ---
+++
@@ -23,6 +23,6 @@
EOF
-hugo -d docs/
+hugo -d docs/ --baseUrl="http://ciarand.github.io/internal-docs"
rm -rf content | bash |
d_bash_9221 | ---
+++
@@ -1,7 +1,7 @@
# symfony basic command completion
_symfony_get_command_list () {
- ./symfony | sed "1,/Available tasks/d" | awk 'BEGIN { cat=null; } /^[A-Za-z]+$/ { cat = $1; } /^ :[a-z]+/ { print cat $1; }'
+ php symfony | sed "1,/Available tasks/d" | awk 'BEGIN { cat=null; } /^[A-Za-z]+$/ { cat ... | bash |
d_bash_9222 | ---
+++
@@ -1,10 +1,54 @@
#!/bin/sh
+
+whiptail --msgbox "You should need to open port TCP 443, TCP 943, UDP 1194
+
+OpenVPN installation thanks to https://github.com/Nyr/openvpn-install" 12 64
wget git.io/vpn --no-check-certificate -O openvpn-install.sh && bash openvpn-install.sh
-whiptail --msgbox "OpenVPN su... | bash |
d_bash_9223 | ---
+++
@@ -3,7 +3,7 @@
# Misc dom0 startup setup
/usr/lib/qubes/fix-dir-perms.sh
-DOM0_MAXMEM=`/usr/sbin/xl info | grep total_memory | awk '{ print $3 }'`
+DOM0_MAXMEM=$(/usr/sbin/xl list 0 | tail -1 | awk '{ print $3 }')
xenstore-write /local/domain/0/memory/static-max $[ $DOM0_MAXMEM * 1024 ]
xl sched-cred... | bash |
d_bash_9224 | ---
+++
@@ -16,7 +16,7 @@
alias gfb='git checkout -b'
alias glog="git log --graph --pretty=format:'%Cred%h%Creset %an: %s - %Creset %C(yellow)%d%Creset %Cgreen(%cr)%Creset' --abbrev-commit --date=relative"
alias gl='git pull --prune'
-alias go='git checkout'
+alias gco='git checkout'
alias gm='git merge'
alias g... | bash |
d_bash_9225 | ---
+++
@@ -4,20 +4,42 @@
curlit() {
- usage='Usage: curlit URL'
- search_dir='.'
+ usage='Usage: curlit URL [interval_seconds]
+
+ Example: curlit https://www.google.com/ 5
+ '
# Return usage if 0 or more than 1 args are passed
- if [ $# -eq 0 ] || [ $# -gt 1 ]
+ if [ $# -eq 0 ] || [ $# -gt 2 ]
t... | bash |
d_bash_9226 | ---
+++
@@ -37,7 +37,9 @@
sudo rm -rf dist/*
# Build ALL the rpms
-make -s all rpms 2>&1
+# Use twice the number of cores for jobs
+NUM_JOBS=$((`nproc` * 2))
+make -j $NUM_JOBS -s all rpms 2>&1
# Copy the result into DIST_DIR
cp dist/rpms/freeipa* $DIST_DIR/ | bash |
d_bash_9227 | ---
+++
@@ -15,6 +15,8 @@
done
blob="../stack-s3/*.tar.gz"
+
+ # shellcheck disable=SC2086
bosh2 -n add-blob "$blob" "rootfs/$(basename $blob)"
echo "Running 'bosh create release' in $release_dir" | bash |
d_bash_9228 | ---
+++
@@ -13,6 +13,6 @@
fi
# Install homebrew packages
-brew install grc coreutils spark docker-compose
+brew install grc coreutils
exit 0 | bash |
d_bash_9229 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash -e
-sudo apt-get install build-essential libcurl4-openssl-dev intltool checkinstall
+sudo apt-get install build-essential libcurl4-openssl-dev intltool checkinstall libssl-dev
tar xvzf deps/libevent-2.0.22-stable.tar.gz
cd libevent-2.0.22-stable | bash |
d_bash_9230 | ---
+++
@@ -17,7 +17,7 @@
install -o root -g root -D -m 755 /etc/rc.local.bak /etc/rc.local && rm -f /etc/rc.local.bak
cd ${SERVICE_HOME}/bin
- ltepi-uninstall.sh ${SERVICE_HOME}/bin
+ ./ltepi-uninstall.sh ${SERVICE_HOME}/bin
rm -fr ${SERVICE_HOME}
[ "$(ls -A ${INNFARM_HOME})" ] || rmdir ${INNFARM_H... | bash |
d_bash_9231 | ---
+++
@@ -22,7 +22,7 @@
source "${NVM_DIR}/nvm.sh"
fi
-if [[ -r "${NVM_DIR}/bash_completion" ]]; then
+if [[ -n "${BASH}" ]] && [[ -r "${NVM_DIR}/bash_completion" ]]; then
source "${NVM_DIR}/bash_completion"
fi
| bash |
d_bash_9232 | ---
+++
@@ -6,5 +6,5 @@
#
###############################################################################
-SPARK_CONFIG=cloudera-framework-parent/${project.artifactId}/target/test-python/python/spark-defaults.conf
+SPARK_CONFIG=cloudera-framework-parent/${project.artifactId}/target/test-python/spark-defaults.conf... | bash |
d_bash_9233 | ---
+++
@@ -14,6 +14,6 @@
if [[ $(tail --bytes=1 $root_crontab) != $newline ]]; then
echo $newline >> $root_crontab
fi
-
- echo '0 0 1 * * "$BIN/cologne.sh' >> $root_crontab
+
+ sed --in-place '/^# END VUFIND AUTOGENERATED/i 0 0 1 * * "$BIN/cologne.sh"' $root_crontab
fi | bash |
d_bash_9234 | ---
+++
@@ -1,5 +1,6 @@
# Install jq to filter Github release data for Pandoc.
sudo apt-get -y install jq
+jq --version
# Get the latest .deb released.
wget `curl https://api.github.com/repos/jgm/pandoc/releases/latest | jq -r '.assets[] | .browser_download_url | select(endswith("deb"))'` -O pandoc.deb
sudo dpkg... | bash |
d_bash_9235 | ---
+++
@@ -1,32 +1,25 @@
#!/bin/sh
-is_debug=1
-for arg in "$@" ; do
- case "$arg" in
- LLVM_TOP=*)
- LLVM_TOP=`echo "$arg" | sed -e 's/LLVM_TOP=//'`
- ;;
- PREFIX=*)
- PREFIX=`echo "$arg" | sed -e 's/PREFIX=//'`
- ;;
- *=*)
- build_opts="$build_opts $arg"
- ;;
- --*)
- ... | bash |
d_bash_9236 | ---
+++
@@ -7,11 +7,33 @@
export PLUGIN_PATH="test/dokku/plugins"
export REDIS_ROOT="$DOKKU_ROOT/testapp/rediskr"
+flunk() {
+ { if [ "$#" -eq 0 ]; then cat -
+ else echo "$*"
+ fi
+ }
+ return 1
+}
+
+assert_equal() {
+ if [ "$1" != "$2" ]; then
+ { echo "expected: $1"
+ echo "actual: $2"
+ ... | bash |
d_bash_9237 | ---
+++
@@ -2,7 +2,10 @@
set -e
# Start a kubernetes cluster.
-docker run -d -p 8888:8888 --privileged --net="host" llamashoes/dind-kubernetes
+# llamashoes/dind-kubernetes
+docker run -d -p 127.0.0.1:8888:8888 --privileged bzsarwilgcx774cgqbutbvk
# Block until the service starts.
+echo "Blocking until server ... | bash |
d_bash_9238 | ---
+++
@@ -14,5 +14,5 @@
git ls-files crashstats | xargs check.py | bin/linting.py
echo "Starting tests..."
-FORCE_DB=true manage.py test --noinput
+FORCE_DB=true python manage.py test --noinput
echo "Tests finished." | bash |
d_bash_9239 | ---
+++
@@ -22,9 +22,6 @@
--set-string containers[0].image=${image} \
--set-string containers[0].tag=${tag} \
--set service.port=${port} \
- --set containers[0].livenessProbe.port=${port} \
- --set containers[0].readinessProbe.port=${port} \
- --set-string service.annotations."prometheus\.io/p... | bash |
d_bash_9240 | ---
+++
@@ -14,7 +14,7 @@
--socket /tmp/uwsgi.sock \
--chmod-socket 666 \
--env FLASK_CONFIG=/home/rmc/rmc/config/flask_prod.py \
- --wsgi-file rmc/server/server.wsgi \
+ --wsgi-file /home/rmc/rmc/server/server.wsgi \
--callable app \
--master \
--workers 4 \ | bash |
d_bash_9241 | ---
+++
@@ -16,5 +16,6 @@
chmod o+x /home/travis
chmod g+rw,o-rw repository/data/*
chmod g+ws repository/data
+setfacl -d -m g::rw repository/data
chgrp sysrepo-users repository/data/*
chgrp sysrepo-users repository/data | bash |
d_bash_9242 | ---
+++
@@ -13,8 +13,6 @@
}
say "Running script: $0"
-
-sudo yum install -y -q sshpass
# Options
while getopts ':m:' OPTION | bash |
d_bash_9243 | ---
+++
@@ -15,15 +15,14 @@
declare -A OS
OS[0]="${PACKAGECLOUD_OS}"
-if [ "${PACKAGECLOUD_OS}" == "el" ]; then
- OS[1]="scientific"
- OS[2]="ol"
+if [[ "${PACKAGECLOUD_OS}" =~ "el/" ]]; then
+ OS[1]="${OS[0]/el/scientific}"
+ OS[2]="${OS[0]/el/ol}"
fi
-
for x in ${OS[@]} ; do
# this bin is a... | bash |
d_bash_9244 | ---
+++
@@ -4,5 +4,5 @@
name=$1
apikey=$2
-curl https://app.vagrantup.com/api/v1/boxes -X POST -d box[name]="$name" -d box[is_private]=false -d access_token=$apikey
+curl https://app.vagrantup.com/api/v1/boxes -X POST -d box[name]="$name" -d box[is_private]=false -d box[username]=xenserver -d access_token=$apikey... | bash |
d_bash_9245 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
if [ ${TASK} == "lint" ]; then
- sudo pip install pylint --user `whoami`
+ sudo pip install pylint
fi
if [ ${TASK} == "nosetests" ]; then | bash |
d_bash_9246 | ---
+++
@@ -6,11 +6,14 @@
curl -L# https://raw.githubusercontent.com/linuxserver/docker-docker-compose/master/run.sh \
| sudo tee /usr/local/bin/docker-compose >/dev/null
sudo chmod +x /usr/local/bin/docker-compose
-LATEST=$(
- curl -sSI https://github.com/docker/compose/releases/latest \
- | tr -d '\r' \
- ... | bash |
d_bash_9247 | ---
+++
@@ -9,7 +9,7 @@
### "run-dexy"
cd ../../../scipy-tutorial-2014/dexy
-#docker run -v $PWD:/home/reproducible reproducible/dexy
+#docker run --rm -v $PWD:/home/reproducible reproducible/dexy
### "start-ipython"
cd ../../../scipy-tutorial-2014/notebooks | bash |
d_bash_9248 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/sh
+apt-get upgrade
apt-get install -y vim \
ed \
git \ | bash |
d_bash_9249 | ---
+++
@@ -3,6 +3,7 @@
# Debian build script for docker
# What does this script do?
+# 1. Check if docker is installed.
# 1. Build the docker image.
# 2. Create a docker build tag.
# 3. Run docker-entrypoint.sh script in the docker image.
@@ -12,6 +13,12 @@
STEP=0
STEPS=3
+
+DOCKER_EXEC="docker"
+... | bash |
d_bash_9250 | ---
+++
@@ -11,6 +11,8 @@
export GAWATI_URL_ROOT="`iniget \"${INSTANCE}\" GAWATI_URL_ROOT`"
export GAWATI_URL_ROOT_="`echo ${GAWATI_URL_ROOT} | tr . _`"
export EXIST_BE_URL="`iniget \"${INSTANCE}\" EXIST_BE_URL`"
+
+ addtohosts "${MainIP}" "${GAWATI_URL_ROOT}"
for FILE in ${CFGFILES} ; do
cfgwrite... | bash |
d_bash_9251 | ---
+++
@@ -5,21 +5,5 @@
./tests.sh --skip-go-test
}
-release() {
- env VERSION=$TRAVIS_TAG ./release.sh
-}
+run_tests
-if [ "$TRAVIS_PULL_REQUEST" != "false" ]; then
- # Pull Requests.
- echo -e "Build Pull Request #$TRAVIS_PULL_REQUEST => Branch [$TRAVIS_BRANCH]"
- run_tests
-elif [ "$TRAVIS_TAG" == "" ... | bash |
d_bash_9252 | ---
+++
@@ -8,6 +8,7 @@
export OECORE_NATIVE_SYSROOT="${TOOLCHAIN_DIR}/../../.."
elif [ x"$LE_CONFIG_CUSTOM_OS" = "xy" ]; then
PLATFORM_CFLAGS="-I${LEGATO_ROOT}/3rdParty/Lwm2mCore/include/platform-specific/rtos -D__RTOS__"
+ PLATFORM_CFLAGS="${PLATFORM_CFLAGS} -I${IKS_PATH}"
fi
cp -rf ${LEGATO_ROOT}... | bash |
d_bash_9253 | ---
+++
@@ -9,7 +9,15 @@
if test ! $(which brew)
then
echo " Installing Homebrew for you."
- ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" > /tmp/homebrew-install.log
+
+ # Install the correct homebrew for each OS type
+ if test "$(uname)" = "Darwin"
+ then
+ r... | bash |
d_bash_9254 | ---
+++
@@ -3,6 +3,21 @@
# detect os
tb_test lb_current_os
tb_test lb_detect_os
+
+
+# test if a user exists
+tb_test -c 1 lb_user_exists
+tb_test -c 2 lb_user_exists badUserName
+tb_test lb_user_exists $(whoami)
+
+
+# test if a user is in a group
+tb_test -c 1 lb_in_group
+tb_test -c 3 lb_in_group group badUserN... | bash |
d_bash_9255 | ---
+++
@@ -18,7 +18,7 @@
rake gc_test &&
cd ../conformance && make test_jruby &&
cd ../ruby/compatibility_tests/v3.0.0 && ./test.sh"
- elif [ "$version" == "ruby-2.6.0" -o "$version" == "ruby-2.7.0" -o "$version" == "ruby-3.0.2" ] ; then
+ else
bash --login -c \
"rvm install $ve... | bash |
d_bash_9256 | ---
+++
@@ -24,3 +24,4 @@
docker stop pyhole
docker rm pyhole
docker run -d -v /mnt/pyhole:/root/.pyhole -v /etc/hosts:/etc/hosts:ro --name pyhole pyhole
+docker ps | bash |
d_bash_9257 | ---
+++
@@ -1,3 +1,9 @@
+#!/bin/sh
+
+if test -f prepare.sh ; then
+ cd ..
+fi
+
appledoc \
--no-create-docset \
--no-install-docset \
@@ -8,5 +14,5 @@
--ignore "*.m" \
--no-warn-invalid-crossref \
--no-repeat-first-par \
---output ~/mailcore2-docs \
+--output appledoc \
src | bash |
d_bash_9258 | ---
+++
@@ -6,16 +6,31 @@
mkdir -p "${HOME}/projects"
remotes="$(_get_fullname "$1")" || exit 1
+_test_empty_dir() {
+ target_dir="$1"
+ if [ -n "$(ls -A "$target_dir" 2>/dev/null)" ]; then
+ printf "Directory %s is not empty\n\n" "$target_dir"
+ else
+ return 1
+ fi
+}
+
_parse_text_file "$remotes" \
- | whil... | bash |
d_bash_9259 | ---
+++
@@ -44,3 +44,14 @@
assertNoAppDetected
}
+testPlay22NotDetected()
+{
+ touch ${BUILD_DIR}/build.sbt
+ mkdir ${BUILD_DIR}/conf
+ touch ${BUILD_DIR}/conf/application.conf
+
+ detect
+
+ assertNoAppDetected
+}
+ | bash |
d_bash_9260 | ---
+++
@@ -4,4 +4,4 @@
-v `pwd`/:/digdag \
-v ~/.gradle:/root/.gradle \
$BUILD_IMAGE \
-./gradlew findbugsMain findbugsTest --info --no-daemon
+./gradlew spotbugsMain spotbugsTest --info --no-daemon | bash |
d_bash_9261 | ---
+++
@@ -22,7 +22,7 @@
if [ -z "$BASH_COMPLETION" ]; then
# Source the Homebrew bash_completion if a system-wide version wasn't used.
- [ -f $(brew --prefix)/etc/bash_completion ] && . $(brew --prefix)/etc/bash_completion
+ [ -n "$(command -v brew)" ] && [ -f $(brew --prefix)/etc/bash_completion ] ... | bash |
d_bash_9262 | ---
+++
@@ -8,7 +8,7 @@
# the temp directory used, within $DIR
# omit the -p parameter to create a temporal directory in the default location
-WORK_DIR=`mktemp -d -p "$DIR"`
+WORK_DIR=`mktemp -d "$DIR.XXXXXXXX"`
# check if tmp dir was created
if [[ ! "$WORK_DIR" || ! -d "$WORK_DIR" ]]; then
@@ -17,7 +17,7 @@
... | bash |
d_bash_9263 | ---
+++
@@ -1,5 +1,10 @@
#!/bin/zsh
+# Simplified shortcut for `todo.sh`.
+#
+# When:
+# * Given no arguments, executes `todo.sh ls`
+# * Given one or more arguments, executes `todo.sh "$@"`
td() {
if [[ $# -gt 0 ]]; then
todo.sh "$@"
@@ -9,6 +14,17 @@
fi
}
+# Displays the default list of to... | bash |
d_bash_9264 | ---
+++
@@ -20,3 +20,6 @@
autoload zmv
alias zmz='noglob zmv'
alias zcp='noglob zmv -C'
+
+# Uncomment following line if you want red dots to be displayed while waiting for completion
+COMPLETION_WAITING_DOTS="true" | bash |
d_bash_9265 | ---
+++
@@ -1,26 +1,26 @@
#!/bin/bash
-#Argument parsing
-key="$1"
+deploy_instance () {
+ INSTANCE_NAME="$1"
+ echo
+ echo
+ echo "#########################"
+ echo "Deploying $INSTANCE_NAME:"
+ echo
-case $key in
- --instance-name)
- INSTANCE_NAME="$2"
- ;;
+ scp -i /keys/infrastructure.pem docke... | bash |
d_bash_9266 | ---
+++
@@ -9,8 +9,8 @@
export PATH=/home/travis/miniconda/bin:$PATH
conda update --yes conda
if test WITH_NETCDF = "yes"; then
- conda install --yes python=$TRAVIS_PYTHON_VERSION libnetcdf hdf5 h5py netCDF4 scipy matplotlib astropy
+ conda install --yes python=$TRAVIS_PYTHON_VERSION libn... | bash |
d_bash_9267 | ---
+++
@@ -12,3 +12,7 @@
yum -y --enablerepo=epel install xrdp
yum -y install "KDE Plasma Workspaces"
yum -y install tigervnc-*
+
+echo "Disable SELinux"
+sed -in-place=orig 's/SELINUX=\(.*\)/SELINUX=disabled/' /etc/selinux/config
+setenforce 0 | bash |
d_bash_9268 | ---
+++
@@ -2,6 +2,5 @@
mkdir .virtualenvs
fi
virtualenv .virtualenvs/flask-test-app
-. .virtualenvs/flask-test-app/bin/activate
-pip install -r requirements.txt
-python run.py
+.virtualenvs/flask-test-app/bin/pip install -r requirements.txt
+.virtualenvs/flask-test-app/bin/python run.py | bash |
d_bash_9269 | ---
+++
@@ -1,4 +1,4 @@
-##depends:git, python
+##depends:none
# ZIFA
cd ${TMPDIR_PATH}/ | bash |
d_bash_9270 | ---
+++
@@ -2,10 +2,10 @@
pkg_name=ant
pkg_version=1.9.7
pkg_maintainer='The Habitat Maintainers <humans@habitat.sh>'
-pkg_license=('Apache 2')
+pkg_license=('Apache-2.0')
pkg_source=https://github.com/apache/ant/archive/rel/$pkg_version.tar.gz
pkg_shasum=53dbfb13e0e9bf1b34bcbfdf807c1b9df1b89362b176e1e58150906f5... | bash |
d_bash_9271 | ---
+++
@@ -19,7 +19,7 @@
# compile the website
bundle exec jekyll build -d ~/out --config _uberspace_config.yml
# upload site
- rsync -rq --delete ~/out $DEPLOY_USER@$DEPLOY_HOST:$DEPLOY_PATH
+ rsync -rq --delete ~/out/ $DEPLOY_USER@$DEPLOY_HOST:$DEPLOY_PATH
else
echo "NOT ON MASTER BRANCH, WILL NOT DEPLOY ... | bash |
d_bash_9272 | ---
+++
@@ -17,7 +17,21 @@
set -o nounset
set -o pipefail
-export PYLINTHOME=$(mktemp -d)
+
+if [[ -n "${TEST_WORKSPACE:-}" ]]; then # Running inside bazel
+ echo "Linting python..." >&2
+elif ! command -v bazel &> /dev/null; then
+ echo "Install bazel at https://bazel.build" >&2
+ exit 1
+else
+ (
+ set -... | bash |
d_bash_9273 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/usr/bin/env bash
#
# Simple example for testing publish. Usage: | bash |
d_bash_9274 | ---
+++
@@ -13,7 +13,7 @@
# onnx tests
cd $onnx_dir
-pip install pytest-cov
+pip install pytest-cov nbval
pytest
# check auto-gen files up-to-date | bash |
d_bash_9275 | ---
+++
@@ -1,6 +1,6 @@
#
# Update the system
#
-yes | pkgin install scmgit gcc-compiler gmake openssl python27
+pkgin -y install scmgit gcc-compiler gmake openssl python27
hash -r | bash |
d_bash_9276 | ---
+++
@@ -17,7 +17,11 @@
runif flake8 .
# Type checking.
-runif mypy --py2 build.py
+# Disable mypy checking on osx on travis for now, since pip installs mypy into
+# a directory which is not in the PATH.
+if [ "$TRAVIS_OS_NAME" != "osx" ]; then
+ runif mypy --py2 build.py
+fi
# Python unit tests.
runif ... | bash |
d_bash_9277 | ---
+++
@@ -63,6 +63,10 @@
fi
}
+ split(){
+ replace ${@} space
+ }
+
strip(){
replace ${@} null
} | bash |
d_bash_9278 | ---
+++
@@ -1 +1,3 @@
alias pyplt='py -c '"'"'matplotlib.use(`Agg`); from matplotlib import pyplot as plt; import seaborn as sns'"'"' -C '"'"'plt.savefig("output.jpg")'"'"
+
+alias sact='source activate' | bash |
d_bash_9279 | ---
+++
@@ -6,7 +6,7 @@
function scala {
# arg 1: amount of memory (e.g., 3g)
# arg 2: classpath
- export SCALA_HOME="${RESOURCES_ARTIFACTS_SCALA_2_9_2}"
+ export SCALA_HOME="${RESOURCES_ARTIFACTS_SCALA_SCALA_RUNTIME_2_9_2}"
local MEM=$1
local CLASSPATH_SCALA=$2
shift 2 | bash |
d_bash_9280 | ---
+++
@@ -16,7 +16,7 @@
function sha256sum() { openssl sha256; }
fi
-inspect=$(docker buildx imagetools inspect "${1}" --raw 2>/dev/null | sha256sum | cut -d " " -f 1 )
+inspect=$(docker buildx imagetools inspect "${1}" --raw 2>/dev/null | awk 'NR>1 { print p } { p = $0 } END { printf("%s", $0) }' | sha256sum... | bash |
d_bash_9281 | ---
+++
@@ -38,5 +38,5 @@
# Generate and push changelog
github_changelog_generator
git add CHANGELOG.md
-git commit -m "Update Changelog for version $VSN"
+git commit -m "Update changelog for version $VSN"
git push | bash |
d_bash_9282 | ---
+++
@@ -6,3 +6,6 @@
if rbenv &>/dev/null; then
eval "$(rbenv init -)"
fi
+if [ -d "$HOME/.gem/ruby/2.2.0" ]; then
+ export PATH="$HOME/.gem/ruby/2.2.0/bin:$PATH"
+fi | bash |
d_bash_9283 | ---
+++
@@ -2,12 +2,12 @@
echo ""
echo "---Setup Virtual Environment for Transifex Client"
-apt-get update
-apt-get install -y python-setuptools python-dev build-essential
-easy_install pip
-pip install virtualenv
-virtualenv ~/env
-source ~/env/bin/activate
+apt-get update && \
+ apt-get install -y \
+ python-s... | bash |
d_bash_9284 | ---
+++
@@ -10,7 +10,7 @@
# node1
for i in $HOSTS
do
- lsgrun -p -m "$i" $CMD &
+ /usr/local/lsf/bin/lsgrun -p -m "$i" $CMD &
nodesList="${nodesList} //$i/${i}Node1"
done
echo $nodesList > nodesList
@@ -20,7 +20,7 @@
# node2
for i in $HOSTS
do
- lsgrun -p -m "$i" $CMD &
+ /usr/local/lsf/bin/lsgrun -p -... | bash |
d_bash_9285 | ---
+++
@@ -1,6 +1,11 @@
#!/bin/bash
-wget http://mirror.pnl.gov/ubuntu//pool/main/b/bison/libbison-dev_2.5.dfsg-2.1_i386.deb
-wget http://mirror.pnl.gov/ubuntu//pool/main/b/bison/bison_2.5.dfsg-2.1_i386.deb
-sudo dpkg -i libbison-dev_2.5.dfsg-2.1_i386.deb
-sudo dpkg -i bison_2.5.dfsg-2.1_i386.deb
+mirror=http://mir... | bash |
d_bash_9286 | ---
+++
@@ -5,13 +5,12 @@
echo >&2 "SASS parece não está disponivel.";
exit 1;
}
-
+
# Define o caminho.
-echo "Compilando Sass..."
cd public/wp-content/themes/rhs/assets/scss/
-
-sass -E 'UTF-8' style.scss:../../style.css
-sass -E 'UTF-8' rhs_editor_style.scss:../../rhs_editor_style.css
+echo "Compilando ... | bash |
d_bash_9287 | ---
+++
@@ -3,6 +3,10 @@
cli=/Applications/Karabiner.app/Contents/Library/bin/karabiner
$cli set custom.keepass_login 1
+/bin/echo -n .
+$cli set option.emacsmode_controlAE 1
+/bin/echo -n .
+$cli set option.emacsmode_controlD_nomodifiers 1
/bin/echo -n .
$cli set remap.custom_ergonomic_arrow_keys 1
/bin/echo ... | bash |
d_bash_9288 | ---
+++
@@ -3,18 +3,24 @@
lang=$1 ; shift
names=$1 ; shift
-for source in $@; do
+function tag_name () {
+ md=$1 ; shift
+ name=$@
+ clear
+ git co -- $md
+ msg="Tag instances of name '$name' as language '$lang'"
+ perl -i -pne "s/(?<!\})$name(?!\})/\\\\lang$lang{$name}/g if ! /^(\[\^\d+\]|#+ )/" -- $md
+ git add... | bash |
d_bash_9289 | ---
+++
@@ -8,7 +8,7 @@
cd $(git rev-parse --show-toplevel)
rm -rf target/doc/
-rustup run nightly cargo doc --no-deps --features "backup blob chrono functions load_extension serde_json trace"
+rustup run nightly cargo doc --no-deps --features "backup blob chrono functions limits load_extension serde_json trace"
... | bash |
d_bash_9290 | ---
+++
@@ -2,14 +2,16 @@
set -ex
-TAG=$(git describe --dirty --tags)
+TAG=$(git describe --tags)
BRANCH=$(git rev-parse --abbrev-ref HEAD)
DIST_VERSION=$TAG
# If the branch comes out as HEAD then we're probably checked out to a tag, so if the thing is *not*
# coming out as HEAD then we're on a branch. Whe... | bash |
d_bash_9291 | ---
+++
@@ -1,3 +1,3 @@
#!/usr/bin/env bash
./gradlew -q currentVersion | awk '{ print $3 }' | tr -d '\n' > site-starter/templates/whistlepost-site/VERSION
-./gradlew :site-starter:packageAllTemplates :site-starter:publishAllTemplates
+./gradlew :site-starter:wrapper :site-starter:packageAllTemplates :site-starter:... | bash |
d_bash_9292 | ---
+++
@@ -1,6 +1,7 @@
#!/bin/bash
if [ "$ADMIN" == true ]; then
cd backend
+ rake db:migrate
bundle exec bin/rails s -p 3002 &
pid=$!
export RAILSPID=$pid | bash |
d_bash_9293 | ---
+++
@@ -15,15 +15,6 @@
export PGDATABASE="booktown"
export PGPORT="15432"
-if grep -q 'go/src/github.com/sosedoff/pgweb' ./pkg/data/bindata.go
-then
- echo "=========================================================="
- echo "ERROR: Bindata contains development references to assets!"
- echo "Fix with 'make ... | bash |
d_bash_9294 | ---
+++
@@ -19,7 +19,7 @@
# Parses commands from git cl -h.
__git_cl_commands () {
- git cl -h 2> /dev/null | sed -n 's/^\s*\x1b\[32m\(.*\)\x1b\[39m.*$/\1/p'
+ git cl -h 2> /dev/null | sed -n 's/^\s*\x1b\[32m\(\S\+\)\s*\x1b\[39m.*$/\1/p'
}
# Caches variables in __git_cl_all_commands. | bash |
d_bash_9295 | ---
+++
@@ -6,6 +6,7 @@
declare -a PLATFORM_FLAGS
if [ "$(uname)" == "Linux" ]; then
PLATFORM_FLAGS+=("--with-gl-lib=${CONDA_BUILD_SYSROOT}/usr/lib64/libGL.so")
+ ls "${CONDA_BUILD_SYSROOT}/usr/lib64"
fi
./configure \ | bash |
d_bash_9296 | ---
+++
@@ -9,6 +9,6 @@
export PATH=$PWD/../ocaml/install/bin:$PATH
-ocamlbuild -libs "bigarray, str" -Is "given, spec, host" main.native
+make
./runtests.py | bash |
d_bash_9297 | ---
+++
@@ -5,6 +5,8 @@
HOUDINI_MAJOR="$1"
HOUPASS="$2"
+pip install --user future
+pip install --user lxml
pip install --user mechanize
export PYTHONPATH=${PYTHONPATH}:/usr/lib/python2.7/dist-packages | bash |
d_bash_9298 | ---
+++
@@ -4,4 +4,4 @@
CORE="$(dirname "$0")"
echo "git pull all repos"
-find . -iname ".git" -type d -exec sh -c "cd $CORE/{}/.. && echo `pwd`... && git pull" \;
+find . -iname ".git" -type d -exec sh -c "cd $CORE && cd {} && cd .. && pwd && git pull" \; | bash |
d_bash_9299 | ---
+++
@@ -7,7 +7,7 @@
#wget_retry -nv https://github.com/arq5x/bedtools2/archive/v2.25.0.tar.gz
wget_retry -nv http://$NIC_MIRROR/pub/sci/molbio/chipster/dist/tools_extras/bedtools_v2.25.0.tar.gz
- tar xf v2.25.0.tar.gz
+ tar xf bedtools_v2.25.0.tar.gz
cd bedtools2-2.25.0
make clean
make all | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.